mscorlib 2.0.0.0 4.0.0.0 System.Object System.Collections.Generic.IEqualityComparer<T> System.Collections.IEqualityComparer To be added.

Derive from this class to provide a custom implementation of the generic interface for use with collection classes such as the generic class, or with methods such as .

The property checks whether type implements the generic interface and, if so, returns an that contains the implantation of the method. Otherwise, it returns an , as provided by .

We recommend that you derive from the class instead of implementing the interface, because the class tests for equality using the method instead of the method. This is consistent with the Contains, IndexOf, LastIndexOf, and Remove methods of the class and other generic collections.

Provides a base class for implementations of the generic interface.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Property
  2.0.0.0
  4.0.0.0
  System.Collections.Generic.EqualityComparer<T> To be added.

  The property checks whether type implements the interface and, if so, returns an that uses that implementation. Otherwise, it returns an that uses the overrides of and provided by .

  Returns a default equality comparer for the type specified by the generic argument.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` ``

  This method is a wrapper for the method, so must be cast to the type specified by the generic argument of the current instance. If it cannot be cast to , an is thrown.

  Comparing null is allowed and does not generate an exception.

  Determines whether the specified objects are equal.

  true if the specified objects are equal; otherwise, false.

  The first object to compare. The second object to compare.
- Method
  2.0.0.0
  4.0.0.0
  System.Int32 ``

  This method is a wrapper for the method, so must be a type that can be cast to the type specified by the generic type argument of the current instance.

  Returns a hash code for the specified object.

  A hash code for the specified object.

  The for which a hash code is to be returned.